Part Box/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(One intermediate revision by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}
{{GuiCommand|Name=Part Box|MenuLocation=Part → Primitives → Cube||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}

{{GuiCommand|Name=Part Box|MenuLocation=Part → Primitives → Cube||Workbenches=[[Part Module|Part]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}


==Description==
==Description==
Line 56: Line 58:
*{{Version|0.14}}
*{{Version|0.14}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}

{{Part Tools navi}}

{{Userdocnavi}}

Revision as of 14:09, 13 February 2019

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

How to Use

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DataLabel: Label given to the Box object. Change to suit your needs.

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".